Bug 1122905 - some problems in rpmlint check output
Summary: some problems in rpmlint check output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhs-hadoop-install
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Release Candidate
: ---
Assignee: Jeff Vance
QA Contact: Ondřej Komárek
URL:
Whiteboard:
Depends On:
Blocks: 1159155
TreeView+ depends on / blocked
 
Reported: 2014-07-24 11:18 UTC by Martin Kudlej
Modified: 2015-07-13 04:18 UTC (History)
6 users (show)

Fixed In Version: 1.32-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 11:54:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:1275 normal SHIPPED_LIVE Red Hat Storage Server 3 Hadoop plug-in enhancement update 2014-11-24 16:53:36 UTC

Description Martin Kudlej 2014-07-24 11:18:53 UTC
Description of problem:
$ rpmlint -i -v  rhs-hadoop-install-1_30-1.el6rhs.noarch.rpm 
rhs-hadoop-install.noarch: W: spelling-error %description -l en_US eg -> eh, e, g
The value of this tag appears to be misspelled. Please double-check.

rhs-hadoop-install.noarch: W: incoherent-version-in-changelog 1_30-1 ['1_30-1.el6rhs', '1_30-1.el6rhs']
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

rhs-hadoop-install.noarch: W: invalid-license Apache
The value of the License tag was not recognized.  Known values are: "AAL",
"Adobe", "ADSL", "AFL", "AGPLv1", "AGPLv3", "AMDPLPA", "AMPAS BSD", "ARL",
"ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "APSL
2.0", "APSL 2.0+", "Artistic 2.0", "Artistic clarified", "Beerware",
"BitTorrent", "Boost", "BSD", "BSD Protection", "BSD with advertising",
"CATOSL", "CC0", "CeCILL", "CeCILL-B", "CeCILL-C", "CDDL", "CNRI", "CPAL",
"CPL", "Condor", "Copyright only", "Crystal Stacker", "DOC", "dvipdfm", "ECL
1.0", "ECL 2.0", "eCos", "EFL 2.0", "EFL 2.0+", "Entessa", "EPL", "ERPL", "EU
Datagrid", "EUPL 1.1", "Eurosym", "Fair", "FTL", "Giftware", "GL2PS", "Glide",
"gnuplot", "GPL+", "GPL+ or Artistic", "GPL+ with exceptions", "GPLv1", "GPLv2
or Artistic", "GPLv2+ or Artistic", "GPLv2", "GPLv2 with exceptions",
"GPLv2+", "GPLv2+ with exceptions", "GPLv3", "GPLv3 with exceptions",
"GPLv3+", "GPLv3+ with exceptions", "IBM", "IJG", "ImageMagick", "iMatix",
"Imlib2", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer", "JPython",
"Knuth", "LBNL BSD", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv2+
or Artistic", "LGPLv2+ with exceptions", "LGPLv3", "LGPLv3 with exceptions",
"LGPLv3+", "LGPLv3+ with exceptions", "libtiff", "LLGPL", "Logica", "LPL",
"LPPL", "mecab-ipadic", "MirOS", "MIT", "MIT with advertising", "mod_macro",
"Motosoto", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+", "MS-PL", "NCSA",
"NetCDF", "NGPL", "NOSL", "Naumen", "Netscape", "Newmat", "Nokia", "Noweb",
"OpenLDAP", "OpenPBS", "OReilly", "OSL 1.0", "OSL 1.0+", "OSL 1.1", "OSL
1.1+", "OSL 2.0", "OSL 2.0+", "OSL 2.1", "OSL 2.1+", "OSL 3.0", "OSL 3.0+",
"OpenSSL", "OReilly", "Phorum", "PHP", "PlainTeX", "Plexus", "psutils",
"Public Domain", "Python", "Qhull", "QPL", "Rdisc", "RiceBSD", "RPSL", "Ruby",
"Saxpath", "SCEA", "SCRIP", "Sendmail", "Sleepycat", "SISSL", "SLIB", "SNIA",
"SPL", "TCL", "Teeworlds", "TMate", "TOSL", "TPL", "UCD", "VOSTROM", "Vim",
"VNLSL", "VSL", "W3C", "Webmin", "WTFPL", "wxWidgets", "Xerox", "xinetd",
"XSkat", "YPLv1.1", "Zend", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0", "ZPLv2.0+",
"ZPLv2.1", "ZPLv2.1+", "zlib", "zlib with acknowledgement", "CDL", "FBSDDL",
"GFDL", "IEEE", "OFSFDL", "Open Publication", "Public Use", "CC-BY", "CC-BY-
SA", "CC-BY-ND", "DMTF", "DSL", "EFML", "Free Art", "GeoGratis", "Green
OpenMusic", "OAL", "Arphic", "Baekmuk", "Bitstream Vera", "Hershey",
"Liberation", "Lucida", "mplus", "OFL", "STIX", "Utopia", "XANO",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".

rhs-hadoop-install.noarch: E: non-executable-script /usr/share/rhs-hadoop-install/bin/.cleanup.sh 0644L /bin/bash
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

Version-Release number of selected component (if applicable):
rhs-hadoop-install-1_30-1

How reproducible:
100%

Comment 2 Jeff Vance 2014-07-25 20:54:46 UTC
fixed in 1.32

Comment 3 Ondřej Komárek 2014-07-30 15:08:35 UTC
Tested with:
rhs-hadoop-install-1_34-1.el6rhs.src.rpm (https://brewweb.devel.redhat.com/buildinfo?buildID=371877)

rpmlint -i -v rhs-hadoop-install-1_34-1.el6rhs.noarch.rpm
[OUTPUT]
rhs-hadoop-install.noarch: I: checking
rhs-hadoop-install.noarch: W: spelling-error %description -l en_US glusterfs -> fluster
The value of this tag appears to be misspelled. Please double-check.

rhs-hadoop-install.noarch: W: spelling-error %description -l en_US eg -> eh, e, g
The value of this tag appears to be misspelled. Please double-check.

rhs-hadoop-install.noarch: W: spelling-error %description -l en_US gluster -> fluster, glister, luster
The value of this tag appears to be misspelled. Please double-check.

rhs-hadoop-install.noarch: W: incoherent-version-in-changelog 1_34-1 ['1_34-1.el6rhs', '1_34-1.el6rhs']
The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

rhs-hadoop-install.noarch: W: invalid-license Apache
The value of the License tag was not recognized.  Known values are: "AAL",
"Abstyles", "Adobe", "ADSL", "AFL", "Afmparse", "AGPLv1", "AGPLv3", "AGPLv3+",
"AGPLv3 with exceptions", "AMDPLPA", "AML", "AMPAS BSD", "APAFML", "APSL 2.0",
"APSL 2.0+", "ARL", "Artistic 2.0", "Artistic clarified", "ASL 1.0", "ASL
1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "Bahyph", "Barr",
"Beerware", "BeOpen", "Bibtex", "BitTorrent", "Boost", "Borceux", "BSD", "BSD
Protection", "BSD with advertising", "BSD with attribution", "CATOSL", "CC0",
"CeCILL", "CeCILL-B", "CeCILL-C", "CDDL", "CNRI", "Condor", "Copyright only",
"CPAL", "CPL", "Crossword", "Crystal Stacker", "Cube", "diffmark", "DMIT",
"DOC", "Dotseqn", "DSDP", "dvipdfm", "ECL 1.0", "ECL 2.0", "eCos", "EFL 2.0",
"EFL 2.0+", "eGenix", "Entessa", "EPL", "ERPL", "EU Datagrid", "EUPL 1.1",
"Eurosym", "Fair", "FSFUL", "FSFULLR", "FTL", "Giftware", "GL2PS", "Glide",
"Glulxe", "gnuplot", "GPL+", "GPL+ or Artistic", "GPL+ with exceptions",
"GPLv1", "GPLv2 or Artistic", "GPLv2+ or Artistic", "GPLv2", "GPLv2 with
exceptions", "GPLv2+", "GPLv2+ with exceptions", "GPLv3", "GPLv3 with
exceptions", "GPLv3+", "GPLv3+ with exceptions", "HaskellReport", "IBM",
"IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI", "Interbase", "ISC",
"Jabber", "JasPer", "JPython", "Julius", "Knuth", "Latex2e", "LBNL BSD",
"Leptonica", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv2+ or
Artistic", "LGPLv2+ with exceptions", "LGPLv3", "LGPLv3 with exceptions",
"LGPLv3+", "LGPLv3+ with exceptions", "Lhcyr", "libtiff", "LLGPL", "Logica",
"LOSLA", "LPL", "LPPL", "MakeIndex", "mecab-ipadic", "midnight", "MirOS",
"MIT", "MITNFA", "MIT with advertising", "mod_macro", "Motosoto", "MPLv1.0",
"MPLv1.0+", "MPLv1.1", "MPLv1.1+", "MPLv2.0", "MS-PL", "MS-RL", "MTLL", "Mup",
"Naumen", "NCSA", "NetCDF", "Netscape", "Newmat", "Newsletr", "NGPL", "NLPL",
"Nmap", "Nokia", "NOSL", "Noweb", "OML", "OpenLDAP", "OpenPBS", "OpenSSL",
"OReilly", "OSL 1.0", "OSL 1.0+", "OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL
2.0+", "OSL 2.1", "OSL 2.1+", "OSL 3.0", "OSL 3.0+", "Par", "Phorum", "PHP",
"PlainTeX", "Plexus", "PostgreSQL", "psfrag", "psutils", "Public Domain",
"Python", "Qhull", "QPL", "Rdisc", "REX", "RiceBSD", "Romio", "RPSL", "Rsfs",
"Ruby", "Saxpath", "SCEA", "SCRIP", "Sendmail", "Sleepycat", "SISSL", "SLIB",
"SNIA", "softSurfer", "SPL", "STMPL", "SWL", "TCL", "Teeworlds",
"Threeparttable", "TMate", "Tolua", "TORQUEv1.1", "TOSL", "TPDL", "TPL",
"UCD", "Vim", "VNLSL", "VOSTROM", "VSL", "W3C", "Webmin", "Wsuipa", "WTFPL",
"wxWidgets", "Xerox", "xinetd", "xpp", "XSkat", "YPLv1.1", "Zed", "Zend",
"zlib", "zlib with acknowledgement", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0",
"ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "CDL", "FBSDDL", "GFDL", "IEEE", "LDPL",
"OFSFDL", "Open Publication", "Public Use", "Verbatim", "CC-BY", "CC-BY-ND",
"CC-BY-SA", "DMTF", "DSL", "EFML", "Free Art", "GeoGratis", "Green OpenMusic",
"OAL", "AMS", "Arphic", "Baekmuk", "Bitstream Vera", "DoubleStroke",
"Hershey", "IPA", "Liberation", "Lucida", "MgOpen", "mplus", "OFL", "PTFL",
"STIX", "Utopia", "Wadalab", "XANO", "Redistributable, no modification
permitted", "Freely redistributable without restriction".

rhs-hadoop-install.noarch: W: no-url-tag
The URL tag is missing.

rhs-hadoop-install.noarch: W: hidden-file-or-dir /usr/share/rhs-hadoop-install/bin/.cleanup.sh
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

1 packages and 0 specfiles checked; 0 errors, 7 warnings.
[/OUTPUT]

There is no error and warnings seems to be acceptable.

This issue is fixed -> VERIFIED.

Comment 4 errata-xmlrpc 2014-11-24 11:54:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2014-1275.html


Note You need to log in before you can comment on or make changes to this bug.